# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ServState/version'

Gem::Specification.new do |spec|
  spec.name          = "ServState"
  spec.version       = ServState::VERSION
  spec.authors       = ["Denis Sergienko","Igor Kroosh"]
  spec.email         = ["olol.toor@gmail.com"]
  spec.description   = %q{Simple tool to watch your linux server state}
  spec.summary       = %q{http://github.com/ololyay/ServState}
  spec.homepage      = "http://github.com/ololyay/ServState"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]


  spec.add_dependency "sinatra", "~>1.4"
  spec.add_dependency "rack", "~>1.5"
  spec.add_dependency "slop", "~> 3.5.0"
  
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "capybara"
  spec.add_development_dependency "capybara-webkit"
  spec.add_development_dependency "coveralls"

end
