require 'spec_helper'
feature 'Dashboard' do

  it 'should has uptime information' do
    visit '/'
    expect(page).to have_content /Uptime(\ )+[0-9]+\ days\ [0-9]+h\ [0-9]+m/
  end

  it 'should has cpu load information' do
    visit '/'
    expect(page).to have_content /CPU\ usage(\ )+[0-9]+/
  end

  it 'should has ram usage information' do
    visit '/'
    expect(page).to have_content /RAM\ used\ [0-9]+(\.[0-9]+)?Gb\ from\ [0-9]+(\.[0-9]+)?Gb\ total/
  end

  it 'should show swap usage' do
    visit '/'
    expect(page).to have_content /Swap\ used\ [0-9]+(\.[0-9]+)?Gb\ from\ [0-9](\.[0-9]+)?Gb\ total/
  end

  it 'should show network interfaces' do 
    visit '/'
    expect(page).to have_content /lo.*127\.0\.0\.1/
  end

  it 'should show disks status' do
    visit '/'
    expect(page).to have_content /\/.*used\ [0-9\.]+Gb\ from\ [0-9\.]+Gb\ total/
  end
end
