# ServState

Very simple tool to watch your LINUX server status.
[Demo page](http://162.243.90.233:8080/)

[![Gem Version](https://badge.fury.io/rb/ServState.png)](http://badge.fury.io/rb/ServState)
[![Build Status](https://travis-ci.org/ololyay/ServState.png?branch=master)](https://travis-ci.org/ololyay/ServState)
[![Coverage Status](https://coveralls.io/repos/ololyay/ServState/badge.png?branch=master)](https://coveralls.io/r/ololyay/ServState?branch=master)

## Installation

    $ gem install ServState

## Requirements
 - Ruby 1.9.3 or greater
 - __ip__ util

##Tested on

* Debian 7
* Ubuntu server 10.04
* Ubuntu server 12.04
* Ubuntu server 13.10
* CentOS 6
* Fedora 19

## Usage


Defaults:
port is 8080
without password

Default: 

	$ servstate

Set port:

	$ servstate -port 8081

Set password:

	$ servstate -pass mypass

Also you can write code like this:
```ruby
  require 'ServState'
  
  ServState.run do
    port 8081
    password 'qwerty'
  end
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
